SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   mnoGoSearch Vendors:   Lavtech.Com Corp.
(Conectiva Issues Fix) mnoGoSearch SQL-based Search Engine Software Has Heap Overflow That Lets Remote Users Execute Arbitrary Code with the Privileges of the Web Server
SecurityTracker Alert ID:  1007320
SecurityTracker URL:  http://securitytracker.com/id/1007320
CVE Reference:   $link$k   (Links to External Site)
Date:  Jul 28 2003
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.1.19 and prior
Description:   A vulnerability was reported in the mnoGoSearch engine. A remote user could execute arbitrary code on the system.

qitest1 issued a security advisory warning of a heap overflow in the mnoGoSearch SQL-based web search engine. A remote user can create a URL query string with a long query value for 'q' to trigger the vulnerability and cause arbitrary code to be executed. The format for the query is:

http://127.0.0.1/cgi-bin/search.cgi?q=query

The code would be executed with the privileges of the web server.

Impact:   A remote user can execute arbitrary code on the system with the privileges of the web server.
Solution:   Conectiva has released a fix.

ftp://atualizacoes.conectiva.com.br/9/SRPMS/mnogosearch-3.1.21-12434U90_2cl.src.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/mnogosearch-3.1.21-12434U90_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/mnogosearch-devel-3.1.21-12434U90_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/mnogosearch-devel-static-3.1.21-12434U90_2cl.i386.rpm

Vendor URL:  www.mnogosearch.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Conectiva)
Underlying OS Comments:  9

Message History:   This archive entry is a follow-up to the message listed below.
May 11 2002 mnoGoSearch SQL-based Search Engine Software Has Heap Overflow That Lets Remote Users Execute Arbitrary Code with the Privileges of the Web Server



 Source Message Contents

Subject:  [conectiva-updates] [CLA-2003:711] Conectiva Security Announcement - mnogosearch


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
CONECTIVA LINUX SECURITY ANNOUNCEMENT 
- --------------------------------------------------------------------------

PACKAGE   : mnogosearch
SUMMARY   : Remote buffer overflow vulnerabilities
DATE      : 2003-07-28 13:40:00
ID        : CLA-2003:711
RELEVANT
RELEASES  : 9

- -------------------------------------------------------------------------

DESCRIPTION
 mnoGoSearch[1] is a full-featured web search engine software for
 intranet and internet servers.
 
 This update addresses two vulnerabilities in mnoGoSearch which affect
 Conectiva Linux 9:
 
 1. Buffer overflow in the "ul" variable (CAN-2003-0436)
 pokleyzz <pokleyzz@scan-associates.net> reported[2] a buffer overflow
 vulnerability in mnoGoSearch which can be exploited remotely to
 execute arbitrary commands with the privileges of the webserver.
 
 2. Buffer overflow in the query variable ("q") (CVE-2002-0789)
 qitest1 <qitest1@bespin.org> reported a buffer overflow
 vulnerability[3] in the query variable ("q") which can be exploited
 remotely to execute arbitrary commands with the privileges of the
 webserver.
 
 The packages available through this update contain the new version
 released by the authors that fixes these issues.
 
 Additionally, some other bugfixes and enhancements have been
 included:
 
 - the files are now placed in the webserver directory (/srv/www) and
 not in /var/www;
 
 - the CGI executable "search.cgi" is now installed in
 /srv/www/default/cgi-bin;
 
 - access to the "search.cgi" CGI executable is restricted by default
 to localhost (or 127.0.0.1). To change these permissions, please edit
 /etc/apache/conf/conf.d/mnogosearch.conf and restart Apache. This was
 done to avoid a possible unnecessary exposure of this service in the
 case the package was installed but not configured.
 
 - configuration files in the /etc/mnogosearch directory have now
 stricter access permissions in order to avoid exposure of their
 database access passwords;
 
 - two new subpackages have been created: mnogosearch-devel and
 mnogosearch-devel-static, used only for development purposes.


SOLUTION
 It is recommended that all mnoGoSearch users upgrade their packages.
 
 
 REFERENCES
 1. http://www.mnogosearch.org
 2. http://www.scan-associates.net/papers/mnogosearch.txt


UPDATED PACKAGES
ftp://atualizacoes.conectiva.com.br/9/SRPMS/mnogosearch-3.1.21-12434U90_2cl.src.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/mnogosearch-3.1.21-12434U90_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/mnogosearch-devel-3.1.21-12434U90_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/9/RPMS/mnogosearch-devel-static-3.1.21-12434U90_2cl.i386.rpm


ADDITIONAL INSTRUCTIONS
 The apt tool can be used to perform RPM packages upgrades:

 - run:                 apt-get update
 - after that, execute: apt-get upgrade

 Detailed instructions reagarding the use of apt and upgrade examples 
 can be found at http://distro.conectiva.com.br/atualizacoes/#apt?idioma=en

- -------------------------------------------------------------------------
All packages are signed with Conectiva's GPG key. The key and instructions
on how to import it can be found at 
http://distro.conectiva.com.br/seguranca/chave/?idioma=en
Instructions on how to check the signatures of the RPM packages can be
found at http://distro.conectiva.com.br/seguranca/politica/?idioma=en

- -------------------------------------------------------------------------
All our advisories and generic update instructions can be viewed at
http://distro.conectiva.com.br/atualizacoes/?idioma=en

- -------------------------------------------------------------------------
Copyright (c) 2003 Conectiva Inc.
http://www.conectiva.com

- -------------------------------------------------------------------------
subscribe: conectiva-updates-subscribe@papaleguas.conectiva.com.br
unsubscribe: conectiva-updates-unsubscribe@papaleguas.conectiva.com.br
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE/JVIE42jd0JmAcZARAlDGAJ4rZLfurONBAtrTP7iw4Qew9ZpOWQCfb0TH
BbyV09ddfIFALAwcTTJq4C4=
=oM7p
-----END PGP SIGNATURE-----



 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC